PowerPoint7GraphInternal::Frame Struct Reference

Internal: a frame of a PowerPoint7Graph. More...

Inheritance diagram for PowerPoint7GraphInternal::Frame:

## Public Types

enum | Type { Arc , Line , Group , Placeholder , Polygon , Rect , Unknown }
| the frame type More...

## Public Member Functions

| Frame (Type type=Unknown)
| constructor
virtual | ~Frame ()
| destructor
virtual void | getTextZoneList (std::vector< int > &textIdList) const
| try to update the list of text sub zone

## Public Attributes

enum Type | m_type
| the type:
int | m_subType
| the sub type
MWAWBox2i | m_dimension
| the dimension
float | m_rotation
| the rotation
bool | m_flip [2]
| the flip flags: horizontal and vertical
MWAWGraphicStyle | m_style
| the style
int | m_pictureId
| the picture id(if positif)
int | m_textId
| the text id(if positif)
bool | m_isBackground
| a flag to know if this is the slide's background
bool | m_isSent
| flag to know if a frame is sent

## Detailed Description

Internal: a frame of a PowerPoint7Graph.

## Member Enumeration Documentation

## Type

enum PowerPoint7GraphInternal::Frame::Type

the frame type

Enumerator
Arc |
Line |
Group |
Placeholder |
Polygon |
Rect |
Unknown |

## Constructor & Destructor Documentation

## Frame()

PowerPoint7GraphInternal::Frame::Frame | ( | Type | type = Unknown | ) |

inline explicit

constructor

Referenced by PowerPoint7GraphInternal::FrameArc::FrameArc(), PowerPoint7GraphInternal::FrameGroup::FrameGroup(), PowerPoint7GraphInternal::FramePlaceholder::FramePlaceholder(), PowerPoint7GraphInternal::FramePolygon::FramePolygon(), and PowerPoint7GraphInternal::FrameRect::FrameRect().

## ~Frame()

PowerPoint7GraphInternal::Frame::~Frame | ( |  | ) |

virtual

destructor

## Member Function Documentation

## getTextZoneList()

virtual void PowerPoint7GraphInternal::Frame::getTextZoneList | ( | std::vector< int > & | textIdList | ) | const

inline virtual

try to update the list of text sub zone

Reimplemented in PowerPoint7GraphInternal::FrameGroup.

## Member Data Documentation

## m_dimension

MWAWBox2i PowerPoint7GraphInternal::Frame::m_dimension

the dimension

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

## m_flip

bool PowerPoint7GraphInternal::Frame::m_flip[2]

the flip flags: horizontal and vertical

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

## m_isBackground

bool PowerPoint7GraphInternal::Frame::m_isBackground

a flag to know if this is the slide's background

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

## m_isSent

bool PowerPoint7GraphInternal::Frame::m_isSent

mutable

flag to know if a frame is sent

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

## m_pictureId

int PowerPoint7GraphInternal::Frame::m_pictureId

the picture id(if positif)

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

## m_rotation

float PowerPoint7GraphInternal::Frame::m_rotation

the rotation

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

## m_style

MWAWGraphicStyle PowerPoint7GraphInternal::Frame::m_style

the style

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

## m_subType

int PowerPoint7GraphInternal::Frame::m_subType

the sub type

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

## m_textId

int PowerPoint7GraphInternal::Frame::m_textId

the text id(if positif)

Referenced by Frame(), getTextZoneList(), and PowerPoint7Graph::sendFrame().

## m_type

enum Type PowerPoint7GraphInternal::Frame::m_type

the type:

Referenced by Frame(), and PowerPoint7Graph::sendFrame().

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx